Package org.eclipse.net4j.util.concurrent

# Class SynchronousExecutor

java.lang.Object
org.eclipse.net4j.util.concurrent.SynchronousExecutor

All Implemented Interfaces:
  `Executor`

public final class SynchronousExecutor extends Object implements Executor

Since:
  3.9
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Executor`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Runnable work)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final Executor INSTANCE

## Method Details

### execute

public void execute(Runnable work)

Specified by:
  `execute` in interface `Executor`

### toString

public String toString()

Overrides:
  `toString` in class `Object`